Package org.snpsift.lang.expression

# Class Plus

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionBinary
org.snpsift.lang.expression.Plus

public class Plus extends ExpressionBinary
And expression

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.ExpressionBinary

`left, right`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Plus(Expression left)`
`Plus(Expression left, Expression right)`

## Method Summary

Modifier and Type
Method
Description
`protected Value`
`evalOp(Value lval, Value rval)`

### Methods inherited from class org.snpsift.lang.expression.ExpressionBinary

`eval, eval, toString`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Plus

public Plus(Expression left)

### Plus

public Plus(Expression left, Expression right)

## Method Details

### evalOp

protected Value evalOp(Value lval, Value rval)

Specified by:
  `evalOp` in class `ExpressionBinary`